function [zac kon] = detektorP(vsig,zac,kon,nn) % kon je q, zac je s
%% nalezení maxima ve vybraném okně
maximum = [];
if abs(zac(1,1) - kon(1,1)) > 100 % zjištění jestli jsou pozice S a Q vzdáleny aspoň o 100 zvorků
    if max(vsig(1,(zac(1)+160):(kon(1))-31)) < abs(min(vsig(1,(zac(1)+160):(kon(1))-31)))
     vsig = vsig*(-1); % obrácení signálu pokud je maximum menší než minimum
    end
    for ind = 1:size(kon,2)-1
    [hodnota pozice] = max(vsig(1,(zac(ind))+160:(kon(ind))-31)); % nalezení maxima v okně
    maximum = [maximum zac(ind)+160+pozice]; % uložení pozice maxima do vektoru
    end
elseif size(zac,2)  < size(kon,2)
    for ind = 1:size(kon,2)-abs(size(zac,2) - size(kon,2))
    [hodnota pozice] = max(vsig(1,(zac(ind))+50:(kon(ind))-200)); % nalezení maxima v okně
    maximum = [maximum zac(ind)+50+pozice]; % uložení pozice maxima do vektoru
    end    
else
    if max(vsig(1,(zac(1)+160):(kon(2))-31)) < abs(min(vsig(1,(zac(1)+160):(kon(2))-31)))
     vsig = vsig*(-1); % obrácení signálu pokud je maximum menší než minimum
    end
    for ind = 2:size(kon,2)
    [hodnota pozice] = max(vsig(1,(zac(ind-1)+160):(kon(ind))-31)); % nalezení maxima v okně
    maximum = [maximum zac(ind-1)+160+pozice]; % uložení pozice maxima do vektoru
end
end
%% detekce začátku a konce P vlny
zac = detektorQQ(vsig,maximum); % nalezení začátku P vlny
kon = detektorSSS(vsig,maximum,20); % nalezení konce P vlny
zac = zac + 22; % korekce posunutí signálu
kon = kon+3; % korekce posunutí signálu
